Option Strict Off
Option Explicit On
Module TUSBKPMC
	'-----------------------------------------------
	'API for TUSB-K02PMC Driver
	'Visual Basic 6 Module
	'
	'Jun. 25 2007
	'Copyright (C) 2006-2007 Turtle Industry Co.,Ltd.
	'-----------------------------------------------
	
	'API Function declaration
	
	Declare Sub TUSBK02PMC_Load Lib "TUSBKPMC.DLL" ()
	Declare Sub TUSBK02PMC_Unload Lib "TUSBKPMC.DLL" ()
	Declare Function TUSBK02PMC_Chk Lib "TUSBKPMC.DLL" (ByVal Id As Short) As Short
	Declare Function TUSBK02PMC_Set_Exec Lib "TUSBKPMC.DLL" (ByVal Id As Short, ByVal ch As Byte, ByVal strtSpeed As Short, ByVal cnstSpeed As Short, ByVal accRate As Short, ByVal freqRange As Short) As Short
	Declare Function TUSBK02PMC_Get_PmcStatus Lib "TUSBKPMC.DLL" (ByVal Id As Short, ByVal ch As Byte, ByRef strtSpeed As Short, ByRef cnstSpeed As Short, ByRef accRate As Short, ByRef freqRange As Short) As Short
	Declare Function TUSBK02PMC_Sel_Pout Lib "TUSBKPMC.DLL" (ByVal Id As Short, ByVal ch As Byte, ByVal sel As Byte) As Short
    Declare Function TUSBK02PMC_Set_Slowdown Lib "TUSBKPMC.DLL" (ByVal Id As Short, ByVal ch As Byte, ByVal sel As Byte, ByVal dat As Integer) As Short
    Declare Function TUSBK02PMC_Set_Limitmode Lib "TUSBKPMC.DLL" (ByVal Id As Short, ByVal ch As Byte, ByVal dat As Short) As Short
	Declare Function TUSBK02PMC_Get_LimitStatus Lib "TUSBKPMC.DLL" (ByVal Id As Short, ByVal ch As Byte, ByRef status As Short) As Short
	Declare Function TUSBK02PMC_Get_Status Lib "TUSBKPMC.DLL" (ByVal Id As Short, ByVal ch As Byte, ByRef status As Short) As Short
    Declare Function TUSBK02PMC_Start_Control Lib "TUSBKPMC.DLL" (ByVal Id As Short, ByVal ch As Byte, ByVal dir_Renamed As Byte, ByVal mode As Byte, ByVal IndexData As Integer) As Short
    Declare Function TUSBK02PMC_Stop_Control Lib "TUSBKPMC.DLL" (ByVal Id As Short, ByVal ch As Byte, ByVal mode As Byte) As Short
	Declare Function TUSBK02PMC_Set_Sync Lib "TUSBKPMC.DLL" (ByVal Id As Short, ByVal ch As Byte, ByVal onoff As Byte) As Short
	Declare Function TUSBK02PMC_Hold_Off Lib "TUSBKPMC.DLL" (ByVal Id As Short, ByVal ch As Byte, ByVal onoff As Byte) As Short
	Declare Function TUSBK02PMC_Set_AddrCounter Lib "TUSBKPMC.DLL" (ByVal Id As Short, ByVal ch As Byte, ByVal dat As Integer) As Short
	Declare Function TUSBK02PMC_Get_AddrCounter Lib "TUSBKPMC.DLL" (ByVal Id As Short, ByVal ch As Byte, ByRef count As Integer) As Short
	Declare Function TUSBK02PMC_Set_Unit Lib "TUSBKPMC.DLL" (ByVal Id As Short, ByVal onoff As Byte) As Short
	
    Public Function TUSBK02PMC_ErrorDisp(ByVal ErrCode As Short) As Object
        Dim str_Renamed As String

        Select Case ErrCode
            Case 0
                str_Renamed = "ɏI܂"
            Case 2
                str_Renamed = "hCoĂ܂"
            Case 6
                str_Renamed = "foCX܂ł"
            Case 8
                str_Renamed = "p[^G["
            Case 9
                str_Renamed = "USBʐMG["
            Case Else
                str_Renamed = "sȃG[ł"
        End Select

        MsgBox(str_Renamed)
    End Function
End Module